aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorAlexis La Goutte <alexis.lagoutte@gmail.com>2015-01-08 17:04:05 +0100
committerAnders Broman <a.broman58@gmail.com>2015-01-20 07:31:23 +0000
commitaf3924a333aa8fc614ad45163751a614a9b9fc3d (patch)
treefb984e1018c4a2907a74a17c25ae093e3f3ae01a /test
parentb2e172a2386b0e3ebfc0572e16e5e38aa5f54f32 (diff)
HTTP2: Add HPACK decode to test suite
Change-Id: Ic84942b78a795974d6e2023751245ad98b8f1142 Reviewed-on: https://code.wireshark.org/review/6415 Reviewed-by: Tatsuhiro Tsujikawa <tatsuhiro.t@gmail.com> Reviewed-by: Anders Broman <a.broman58@gmail.com>
Diffstat (limited to 'test')
-rw-r--r--test/captures/packet-h2-14_headers.pcapngbin0 -> 25280 bytes
-rwxr-xr-xtest/suite-decryption.sh16
2 files changed, 16 insertions, 0 deletions
diff --git a/test/captures/packet-h2-14_headers.pcapng b/test/captures/packet-h2-14_headers.pcapng
new file mode 100644
index 0000000000..5f4f0e5ddb
--- /dev/null
+++ b/test/captures/packet-h2-14_headers.pcapng
Binary files differ
diff --git a/test/suite-decryption.sh b/test/suite-decryption.sh
index d20606b6fc..25daff2684 100755
--- a/test/suite-decryption.sh
+++ b/test/suite-decryption.sh
@@ -185,6 +185,21 @@ decryption_step_ikev1_certs() {
test_step_ok
}
+# HTTP2 (HPACK)
+decryption_step_http2() {
+ env $TS_DC_ENV $TSHARK $TS_DC_ARGS \
+ -Tfields -e http2.header.value \
+ -d tcp.port==3000,http2 \
+ -r "$CAPTURE_DIR/packet-h2-14_headers.pcapng" \
+ | grep "nghttp2" > /dev/null 2>&1
+ RETURNVALUE=$?
+ if [ ! $RETURNVALUE -eq $EXIT_OK ]; then
+ test_step_failed "Failed to decode HTTP2 HPACK"
+ return
+ fi
+ test_step_ok
+}
+
tshark_decryption_suite() {
test_step_add "IEEE 802.11 WPA PSK Decryption" decryption_step_80211_wpa_psk
@@ -195,6 +210,7 @@ tshark_decryption_suite() {
test_step_add "ANSI C12.22 Decryption" decryption_step_c1222
test_step_add "DVB-CI Decryption" decryption_step_dvb_ci
test_step_add "IKEv1 Decryption (certificates)" decryption_step_ikev1_certs
+ test_step_add "HTTP2 (HPACK)" decryption_step_http2
}
decryption_cleanup_step() {